Name:           perl-Net-Google-AuthSub
Version:        0.5
Release:        4%{?dist}
Summary:        Provides interface to interact with sites that implement Google style AuthSub

Group:          Development/Libraries
# From AuthSub.pm
License:        GPL+ or Artistic
URL:            http://search.cpan.org/dist/Net-Google-AuthSub/
Source0:        http://search.cpan.org/CPAN/authors/id/S/SI/SIMONW/Net-Google-AuthSub-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch
BuildRequires:  perl(LWP::UserAgent)
BuildRequires:  perl(Test::More) >= 0.62
BuildRequires:  perl(URI)
BuildRequires:  perl(Module::Build)
Requires:  perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
AuthSub is Google's method of authentication for their web
services. It is also used by other web sites.

You can read more about it here.
    http://code.google.com/apis/accounts/Authentication.html

A Google Group for AuthSub is here.
    http://groups.google.com/group/Google-Accounts-API

%prep
%setup -q -n Net-Google-AuthSub-%{version}


%build
%{__perl} Build.PL installdirs=vendor
./Build


%install
rm -rf $RPM_BUILD_ROOT
./Build install destdir=$RPM_BUILD_ROOT create_packlist=0
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null ';'
chmod -R u+w $RPM_BUILD_ROOT/*


%check
./Build test


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc Changes
%{perl_vendorlib}/*
%{_mandir}/man3/*.3*


%changelog
* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Tue Dec 21 2010 Marcela Maslanova <mmaslano@redhat.com> - 0.5-3
- 661697 rebuild for fixing problems with vendorach/lib

* Tue May 04 2010 Marcela Maslanova <mmaslano@redhat.com> - 0.5-2
- Mass rebuild with perl-5.12.0

* Sun Nov 08 2009 Andy Shevchenko <andy@smile.org.ua> - 0.5-1
- update to version 0.5

* Sun Nov 09 2008 Andy Shevchenko <andy@smile.org.ua> - 0.4-1
- initial build for Fedora
